Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592977 - [vdsm] [libvirt intg] need support in SSE4 instruction set which used by Intel Core microarchitecture
[vdsm] [libvirt intg] need support in SSE4 instruction set which used by Inte...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks: 581275
  Show dependency treegraph
 
Reported: 2010-05-17 10:24 EDT by Haim
Modified: 2014-01-12 19:46 EST (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.8.1-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2010-05-17 10:24:17 EDT
Description of problem:

we need libvirt to support SSE4 instruction set used by Intel Intel Core microarchitecture.
when rhevm requests to use this feature, libvirt raise the following error: 

Thread-1210::ERROR::2010-05-17 15:41:29,564::vm::598::vds.vmlog.323f9858-bf4e-40e4-a7ae-d9efb65570b6::Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 566, in _execqemu
    self._run()
  File "/usr/share/vdsm/libvirtvm.py", line 480, in _run
    self._connection.createXML(domxml, 0),
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1274, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: internal error Unknown CPU feature sse4.1

configuration in XML:


     <cpu match="exact">
                <model>qemu64</model>
                <topology cores="1" sockets="1" threads="1"/>
                <feature name="sse2" policy="require"/>
                <feature name="cx16" policy="require"/>
                <feature name="ssse3" policy="require"/>
                <feature name="sse4.1" policy="require"/>
                <feature name="svm" policy="disable"/>
        </cpu>






Version-Release number of selected component (if applicable):

vdsm-4.9-6.el6.x86_64
qemu-kvm-0.12.1.2-2.53.el6.x86_64
libvirt-0.8.1-4.el6.x86_64

How reproducible: always 


Steps to Reproduce:
1. create a new domain (vm) using sse4_
2. start it via virsh
Comment 2 RHEL Product and Program Management 2010-05-18 03:55:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Dave Allan 2010-05-18 23:46:27 EDT
libvirt-0.8.1-5.el6 has been built in RHEL-6-candidate with the fix

Dave
Comment 5 Haim 2010-06-09 05:41:42 EDT
verified on latest version. 

created a domain which uses sse4.1 model and domain created successfully:

         <cpu match="exact">
                <model>qemu64</model>
                <topology cores="1" sockets="1" threads="1"/>
                <feature name="sse2" policy="require"/>
                <feature name="cx16" policy="require"/>
                <feature name="ssse3" policy="require"/>
                <feature name="sse4.1" policy="require"/>
                <feature name="svm" policy="disable"/>
        </cpu>
</domain>

vdsm-4.9-8.el6.x86_64
qemu-kvm-0.12.1.2-2.69.el6.x86_64
libvirt-0.8.1-7.el6.x86_64
Comment 6 releng-rhel@redhat.com 2010-07-02 15:33:38 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.